summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2015-10-16 20:27:31 +0200
committerMichael Palimaka <kensington@gentoo.org>2015-10-23 00:18:10 +1100
commitbe1257966121c88adaa873c850359da56325627f (patch)
tree9ff19b4549a6afa8d2bfffaa44db91d9c6b14216 /media-gfx
parentmedia-plugins/kipi-plugins: Version bump to 4.14.0 (diff)
downloadgentoo-be1257966121c88adaa873c850359da56325627f.tar.gz
gentoo-be1257966121c88adaa873c850359da56325627f.tar.bz2
gentoo-be1257966121c88adaa873c850359da56325627f.zip
media-gfx/digikam: Version bump to 4.14.0
Fixes build with >=media-libs/opencv-3.0.0, see also: https://bugs.gentoo.org/show_bug.cgi?id=554496 https://bugs.gentoo.org/show_bug.cgi?id=559762 Package-Manager: portage-2.2.20.1
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/digikam/Manifest1
-rw-r--r--media-gfx/digikam/digikam-4.14.0.ebuild135
2 files changed, 136 insertions, 0 deletions
diff --git a/media-gfx/digikam/Manifest b/media-gfx/digikam/Manifest
index 3d47c605e01..6f15b0baeed 100644
--- a/media-gfx/digikam/Manifest
+++ b/media-gfx/digikam/Manifest
@@ -1,2 +1,3 @@
DIST digikam-4.10.0.tar.bz2 69413654 SHA256 4207e68b6221307111b66bb69485d3e88150df95dae014a99f6f161a3da0c725 SHA512 a2f1d5f44719409ee45158106cc44541e7226e3c948b722045e104bc398f96233481d60e11dd198e96bfe3028201dac335be403ec74af1ef07e3137c3e9221a4 WHIRLPOOL 5d7997787c549318e5d7d677edc68ee2ebaa95c789b7d5f05e3ea5dea48d56afc23aa7bf3afa33f44353f4189644df7573683580486c0d248352ffb534215f37
+DIST digikam-4.14.0.tar.bz2 59805228 SHA256 9d7bcb689d8c29be2e81976f0a043220f442a24f2071284044e7f1a799a7fdad SHA512 3029e9b67d9d055bd9aee0d6d01e87950702e026f9f44b513155946ba087ec58b300f945a035a418afae45365ed007d8db6a1a90ed1d391e5e0e4cb679168ccf WHIRLPOOL 35a3caedc9a4799f161b26b3b4df51da18a31be50a8a6da5b12a339a353755d73a47f103099087e3dc8e6926f65ae19638efea3585c86f72173a086056bf48ce
DIST digikam-4.4.0.tar.bz2 68871203 SHA256 5c68a2d200f5b502706128ea64839319aad333fb79548f49ecc92594e280d4e9 SHA512 4992fad1e574fc44eac53f3ac8d4ab78ccbf8e04beb54a211a9afc20af1efb6f8bacedea07e403f490e7f70a74ed5ac02d4f9b939dfaf25f64a4a9bda0a7d94a WHIRLPOOL 7a05ab9926227232a1cf52bf68da45b849b982e840b171f702610acce85a1ce8e59967a02e845a0ef19c316daee835861573aca40dc7b28422cf7d6d56119e2c
diff --git a/media-gfx/digikam/digikam-4.14.0.ebuild b/media-gfx/digikam/digikam-4.14.0.ebuild
new file mode 100644
index 00000000000..e244729a5db
--- /dev/null
+++ b/media-gfx/digikam/digikam-4.14.0.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+KDE_LINGUAS="af ar az be bg bn br bs ca cs csb cy da de el en_GB eo es et eu fa fi fo fr fy ga gl ha he hi hr hsb
+hu id is it ja ka kk km ko ku lb lo lt lv mi mk mn ms mt nb nds ne nl nn nso oc pa pl pt pt_BR ro ru
+rw se sk sl sq sr sr@Latn ss sv ta te tg th tr tt uk uz uz@cyrillic ven vi wa xh zh_CN zh_HK zh_TW zu"
+KDE_HANDBOOK="optional"
+KDE_DOC_DIRS="doc-digikam doc-showfoto"
+inherit kde4-base
+
+MY_PV=${PV/_/-}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Digital photo management application for KDE"
+HOMEPAGE="http://www.digikam.org/"
+SRC_URI="mirror://kde/stable/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2
+ handbook? ( FDL-1.2 )"
+KEYWORDS="~amd64 ~x86"
+SLOT="4"
+IUSE="addressbook debug doc gphoto2 mysql semantic-desktop +thumbnails video"
+
+CDEPEND="
+ kde-apps/kdebase-kioslaves:4
+ kde-apps/libkdcraw:4=
+ kde-apps/libkexiv2:4=
+ >=kde-apps/libkface-15.08.2-r1:4
+ kde-apps/libkgeomap:4=
+ kde-apps/libkipi:4
+ kde-apps/marble:4=[plasma]
+ kde-apps/kcmshell:4
+ dev-qt/qtgui:4
+ || ( dev-qt/qtsql:4[mysql] dev-qt/qtsql:4[sqlite] )
+ media-libs/jasper
+ media-libs/lcms:2
+ >=media-libs/lensfun-0.2.6
+ media-libs/liblqr
+ >=media-libs/libpgf-6.12.27
+ media-libs/libpng:0=
+ >=media-libs/opencv-3.0.0[contrib]
+ media-libs/phonon[qt4]
+ >=media-libs/tiff-3.8.2:0
+ virtual/jpeg:0
+ x11-libs/libX11
+ addressbook? ( $(add_kdebase_dep kdepimlibs) )
+ gphoto2? ( media-libs/libgphoto2:= )
+ mysql? ( virtual/mysql )
+ semantic-desktop? ( $(add_kdebase_dep baloo '' 4.12.0) )
+"
+RDEPEND="${CDEPEND}
+ $(add_kdeapps_dep kreadconfig)
+ media-plugins/kipi-plugins:4
+ video? ( || (
+ $(add_kdeapps_dep ffmpegthumbs)
+ $(add_kdeapps_dep mplayerthumbs)
+ ) )
+"
+DEPEND="${CDEPEND}
+ dev-cpp/eigen:3
+ dev-libs/boost
+ sys-devel/gettext
+ doc? ( app-doc/doxygen )
+"
+
+S="${WORKDIR}/${MY_P}/core"
+
+RESTRICT=test
+# bug 366505
+
+src_prepare() {
+ # just to make absolutely sure
+ rm -rf "${WORKDIR}/${MY_P}/extra" || die
+
+ # prepare the handbook
+ mkdir doc-digikam doc-showfoto || die
+ echo "add_subdirectory( en )" > doc-digikam/CMakeLists.txt || die
+ mv "${WORKDIR}/${MY_P}/doc/${PN}/digikam" doc-digikam/en || die
+ echo "add_subdirectory( en )" > doc-showfoto/CMakeLists.txt || die
+ mv "${WORKDIR}/${MY_P}/doc/${PN}/showfoto" doc-showfoto/en || die
+ sed -i -e 's:../digikam/:../../doc-digikam/en/:g' doc-showfoto/en/index.docbook || die
+
+ # prepare the translations
+ mv "${WORKDIR}/${MY_P}/po" po || die
+ find po -name "*.po" -and -not -name "digikam.po" -delete || die
+
+ echo "find_package(Msgfmt REQUIRED)" >> CMakeLists.txt || die
+ echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt || die
+ echo "add_subdirectory( po )" >> CMakeLists.txt || die
+
+ kde4-base_src_prepare
+
+ if use handbook; then
+ echo "add_subdirectory( doc-digikam )" >> CMakeLists.txt || die
+ echo "add_subdirectory( doc-showfoto )" >> CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ # LQR = only allows to choose between bundled/external
+ local mycmakeargs=(
+ -DENABLE_LCMS2=ON
+ -DENABLE_OPENCV3=ON
+ -DWITH_LQR=ON
+ -DWITH_LENSFUN=ON
+ $(cmake-utils_use_enable addressbook KDEPIMLIBSSUPPORT)
+ -DWITH_MarbleWidget=ON
+ $(cmake-utils_use_enable gphoto2 GPHOTO2)
+ $(cmake-utils_use_with gphoto2)
+ $(cmake-utils_use_enable thumbnails THUMBS_DB)
+ $(cmake-utils_use_enable mysql INTERNALMYSQL)
+ $(cmake-utils_use_enable mysql MYSQLSUPPORT)
+ $(cmake-utils_use_enable debug DEBUG_MESSAGES)
+ $(cmake-utils_use_enable semantic-desktop BALOOSUPPORT)
+ )
+
+ kde4-base_src_configure
+}
+
+src_compile() {
+ local mytargets="all"
+ use doc && mytargets+=" doc"
+
+ kde4-base_src_compile ${mytargets}
+}
+
+src_install() {
+ kde4-base_src_install
+
+ # install the api documentation
+ use doc && dodoc -r ${CMAKE_BUILD_DIR}/api/html
+}